Index: enysol_p.f
===================================================================
--- enysol_p.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ enysol_p.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,14 +1,14 @@
-! **************************************************************
-!
-! This file contains the subroutines: enysol,tessel
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
-
-
+c **************************************************************
+c
+c This file contains the subroutines: enysol,tessel
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
+
+      
       real*8 function enysol(nmol)
 
@@ -16,28 +16,15 @@
       include 'mpif.h'
 
-! --------------------------------------------------------------
-!
-!     Double Cubic Lattice algorithm for calculating the
-!     solvation energy of proteins using
-!     solvent accessible area method.
-!
-!     if nmol == 0 do solvation energy over all residues.
-! CALLS: nursat
-!
-! -------------------------------------------------------------
-! TODO: Check the solvent energy for multiple molecules
-      double precision startwtime, avr_x, avr_y, avr_z, xmin, ymin, zmin
-      double precision xmax, ymax, zmax, rmax, diamax, sizex, sizey
-      double precision sizez, shiftx, shifty, shiftz, boxpp, trad, dx
-      double precision dy, dz, dd, akrad, dr, xyz, radb, radb2, sdd, sdr
-      double precision area, volume, eyslsum, endwtime
-
-      integer nmol, nrslow, nrshi, nlow, nup, i, numat, inbox, j, ndx
-      integer ndy, ndz, nqxy, ncbox, mx, my, mz, nboxj, numbox, jj
-      integer indsort, iboxmin, iboxmax, ibox, iz, iy, ix, lbn, nsx, nsy
-      integer nsz, nex, ney, nez, jcnt, jz, jy, jx, jbox, ii, look, ia
-      integer jbi, nnei, ib, jtk, il, lst, ilk, ik, icount, jres, nursat
-      integer ierror, nhx, mhx, nbt, mbt
-
+c --------------------------------------------------------------
+c
+c     Double Cubic Lattice algorithm for calculating the
+c     solvation energy of proteins using 
+c     solvent accessible area method.
+c
+c     if nmol == 0 do solvation energy over all residues.
+c CALLS: nursat
+c
+c -------------------------------------------------------------
+c TODO: Check the solvent energy for multiple molecules     
       dimension numbox(mxat),inbox(mxbox+1),indsort(mxat),look(mxat)
       dimension xyz(mxinbox,3),radb(mxinbox),radb2(mxinbox)
@@ -46,5 +33,5 @@
 
 !       common/ressurf/surfres(mxrs)
-      real*8 tsurfres(mxrs)
+      real*8 tsurfres(mxrs) 
       startwtime = MPI_Wtime()
       root = 0
@@ -63,5 +50,5 @@
       do i=nrslow,nrshi
        surfres(i) = 0.0d0
-      end do
+      end do 
 
       numat= nup - nlow + 1
@@ -70,5 +57,5 @@
          inbox(i)=0
       end do
-
+     
       asa=0.0d0
       vdvol=0.0d0
@@ -114,5 +101,5 @@
       diamax=2.d0*rmax
 
-!  The sizes of the big box
+c  The sizes of the big box
 
       sizex=xmax-xmin
@@ -120,5 +107,5 @@
       sizez=zmax-zmin
 
-!  How many maximal diameters in each size ?
+c  How many maximal diameters in each size ?
 
       ndx=sizex/diamax + 1
@@ -126,9 +113,9 @@
       ndz=sizez/diamax + 1
 
-! We may need the number of quadratic boxes in (X,Y) plane
+c We may need the number of quadratic boxes in (X,Y) plane
 
       nqxy=ndx*ndy
 
-!   The number of cubic boxes of the size "diamax"
+c   The number of cubic boxes of the size "diamax"
 
       ncbox=nqxy*ndz
@@ -137,6 +124,6 @@
        stop
       end if
-
-! Let us shift the borders to home all boxes
+        
+c Let us shift the borders to home all boxes
 
       shiftx=(dble(ndx)*diamax-sizex)/2.d0
@@ -150,5 +137,5 @@
       zmax=zmax+shiftz
 
-! Finding the box of each atom
+c Finding the box of each atom
 
       do j=nlow,nup
@@ -159,11 +146,10 @@
         numbox(j)=nboxj
         if (nboxj.gt.mxbox) then
-         write (logString, '(a)') 'enysol> bad mxboxe-2'
-         write (logString, *) 'diagnostics ...'
-         write (logString, *) 'atom ',j
-         write (logString, *) 'position ',xat(j),yat(j),zat(j)
-         write (logString, *) 'box indices ',mx,my,mz
-         write (logString, *) 'resulting boxindex and limit ',nboxj,
-     &      mxbox
+         write(*,'(a)') 'enysol> bad mxboxe-2'
+         write(*,*) 'diagnostics ...'
+         write(*,*) 'atom ',j
+         write(*,*) 'position ',xat(j),yat(j),zat(j)
+         write(*,*) 'box indices ',mx,my,mz
+         write(*,*) 'resulting boxindex and limit ',nboxj,mxbox
 
          stop
@@ -173,12 +159,12 @@
       end do
 
-!  Summation over the boxes
+c  Summation over the boxes
 
       do i=1,ncbox
         inbox(i+1)=inbox(i+1)+inbox(i)
       end do
-
-
-!   Sorting the atoms by the their box numbers
+         
+        
+c   Sorting the atoms by the their box numbers
 
       do i=nlow,nup
@@ -187,8 +173,8 @@
          indsort(jj)=i
          inbox(j)=jj-1
-      end do
-
-!    Getting started
-!    We have to loop over ncbox boxes and have no processors available
+      end do   
+         
+c    Getting started
+c    We have to loop over ncbox boxes and have no processors available
       boxpp = 1.0 * ncbox / no
       iboxmin = boxpp * myrank
@@ -196,6 +182,6 @@
       if (myrank.eq.(no - 1)) iboxmax = ncbox
       if (myrank.eq.-1) then
-         write (logString, *) 'enysol> Summary:', enysolct, ncbox, 
-     &               boxpp, ndx, ndy, ndz
+         write (*,*) 'enysol> Summary:', enysolct, ncbox, boxpp,
+     &               ndx, ndy, ndz
       endif
       do ibox = iboxmin + 1, iboxmax + 1
@@ -205,5 +191,5 @@
 !     ibox=ix+iy*ndx+iz*nqxy + 1
 
-!  Does this box contain atoms ?
+c  Does this box contain atoms ?
 
            lbn=inbox(ibox+1)-inbox(ibox)
@@ -216,6 +202,6 @@
              ney=min(iy+1,ndy-1)
              nez=min(iz+1,ndz-1)
-
-!  Atoms in the boxes around
+                     
+c  Atoms in the boxes around
 
              jcnt=1
@@ -232,6 +218,6 @@
                end do
               end do
-             end do
-
+             end do     
+                             
              do  ia=inbox(ibox)+1,inbox(ibox+1)
                jbi=indsort(ia)
@@ -249,5 +235,5 @@
                      dr=1.0d0+akrad
                      dr=dr*dr
-!c if contact
+cc if contact
                      if(dd.le.dr) then
                        nnei=nnei+1
@@ -260,10 +246,10 @@
                    end if
                  end do
-!c
+cc
                   do il=1,npnt
                      surfc(il)=.false.
                   end do
 
-!  Check overlap
+c  Check overlap
 
                   lst=1
@@ -285,5 +271,5 @@
                      end do
  99                  continue
-
+    
                      if(ik.gt.nnei)then
                        surfc(il)=.true.
@@ -307,12 +293,12 @@
                  area   = sdr*dble(icount)
                  volume = sdr/3.0d0*(trad*dble(icount)
-     &                               +(xat(jbi)-avr_x)*dx
-     &                               +(yat(jbi)-avr_y)*dy
-     &                               +(zat(jbi)-avr_z)*dz)
+     #                               +(xat(jbi)-avr_x)*dx
+     #                               +(yat(jbi)-avr_y)*dy
+     #                               +(zat(jbi)-avr_z)*dz)
 
                  asa=asa+area
                  vdvol=vdvol+volume
                  eysl=eysl+area*sigma(jbi)
-! Separate hydrophilic (h) and hyrdophobic (p) contributions to eysl
+c Separate hydrophilic (h) and hyrdophobic (p) contributions to eysl
                  if (sigma(jbi).lt.0) then
                     eyslp = eyslp + area * sigma(jbi)
@@ -323,28 +309,28 @@
                     asah = asah + area
                  endif
-! Measure how much a residue is solvent accessible:
+c Measure how much a residue is solvent accessible:
                  jres = nursat(jbi)
                  surfres(jres) = surfres(jres) + area
                end if
-             end do
+             end do 
            end if
 !           end do
 !          end do
        end do
-      call MPI_ALLREDUCE(eysl, eyslsum, 1, MPI_DOUBLE_PRECISION,
+      call MPI_ALLREDUCE(eysl, eyslsum, 1, MPI_DOUBLE_PRECISION, 
      &      MPI_SUM,my_mpi_comm, ierror)
-      write (logString, *) 'enysol>', myrank, eysl, eyslsum
+!       write(*,*) 'enysol>', myrank, eysl, eyslsum
       tsurfres = surfres
-      call MPI_ALLREDUCE(tsurfres, surfres, mxrs, MPI_DOUBLE_PRECISION,
+      call MPI_ALLREDUCE(tsurfres, surfres, mxrs, MPI_DOUBLE_PRECISION, 
      &      MPI_SUM,my_mpi_comm, ierror)
       eysl = eyslsum
-
+      
       endwtime = MPI_Wtime()
       if (myrank.le.-1) then
-         write (logString, *) 'enysol>',myrank,enysolct,
+         write (*,*) 'enysol>',myrank,enysolct,
      &               iboxmin + 1, iboxmax + 1,
      &               endwtime - startwtime, "s"
       endif
-!
+c
        if (isolscl) then
           nhx=0
@@ -360,12 +346,10 @@
        return
        end
-! *********************
+c *********************
       subroutine tessel
       include 'INCL.H'
-      integer i
-
       character lin*80
 
-!    Skipping comment lines, which begin with '!'
+c    Skipping comment lines, which begin with '!'  
 
       read(20,'(a)') lin
@@ -374,19 +358,19 @@
       end do
 
-!   The first non-comment line is the number of the surface points
+c   The first non-comment line is the number of the surface points
 
       read(lin(1:5),'(i5)') npnt
-!        write (logString, '(a,i5)') 'the number of points---->',npnt
-
-!    Read the surface points
+c        write(*,'(a,i5)') 'the number of points---->',npnt
+
+c    Read the surface points   
 
       do i=1,npnt
          read(20,'(3f20.10)') spoint(i,1),spoint(i,2),spoint(i,3)
-
-!        write(31,'(3f20.10)') spoint(i,1),spoint(i,2),spoint(i,3)
-      end do
-
+         
+c        write(31,'(3f20.10)') spoint(i,1),spoint(i,2),spoint(i,3)
+      end do
+ 
       return
-
+ 
       end
 
